Subject: bug#2309: Saving under Windows (sometimes) causes Emacs to freeze and allocate a lot of memory - Emacs 22.3.1

From: Fredrik Hellman <[email-masked]>
Date: Thu, 12 Feb 2009 13:00:59 +0100

Hello!

I have downloaded and installed the following Emacs version for Windows:

GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON

When I start emacs, open a file in a buffer, do some changes in it and
then saves the file with C-x C-s Emacs freezes and I can see how the
memory allocated by Emacs slowly increases until it after a few
minutes wakes up again and says in a separate buffer:

Emergency (alloc): Warning: past 95% of memory limit

This problem doesn't always occur on saves.

I don't know what more to tell, but if you want more details about
something, feel free to ask me.

Best regards,
Fredrik Hellman